// HMIDupSetDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VisioDraw.h"
#include "HMIDupSetDlg.h"
#include "registry.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHMIDupSetDlg dialog


CHMIDupSetDlg::CHMIDupSetDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHMIDupSetDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHMIDupSetDlg)
	m_nCols = 0;
	m_nXSpace = 0;
	m_nRows = 0;
	m_nYSpace = 0;
	//}}AFX_DATA_INIT
//	EnableVisualManagerStyle(TRUE, TRUE);
	DWORD nTempIndex = 0;
	DWORD nTempIndex1 = 0;
	DWORD nTempIndex2 = 0;
	DWORD nTempIndex3 = 0;
	CString strImage = _T("");
	CReg reg;
	if (reg.Open (HKEY_CURRENT_USER, REG_EDITPAD_IDE, KEY_READ))
    {
		reg.LoadNumber(_T ("Dup rows"), &nTempIndex);
		m_nRows = (int)nTempIndex;

		reg.LoadNumber(_T ("Dup cols"), &nTempIndex1);
		m_nCols = (int)nTempIndex1;

		reg.LoadNumber(_T ("Dup x"), &nTempIndex2);
		m_nXSpace = (int)nTempIndex2;

		reg.LoadNumber(_T ("Dup y"), &nTempIndex3);
		m_nYSpace = (int)nTempIndex3;
		
    }
	reg.Close ();
	m_crBK = RGB(255,255,255);
	m_crFG = RGB(255,255,255);
	m_bEnable = TRUE;
}


void CHMIDupSetDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHMIDupSetDlg)
	DDX_Control(pDX, IDC_SPIN_V, m_spinY);
	DDX_Control(pDX, IDC_SPIN_ROWS, m_spinRow);
	DDX_Control(pDX, IDC_SPIN_H, m_spinX);
	DDX_Control(pDX, IDC_SPIN_COLS, m_spinCols);
	DDX_Text(pDX, IDC_EDIT_COLS, m_nCols);
	DDV_MinMaxInt(pDX, m_nCols, 1, 100);
	DDX_Text(pDX, IDC_EDIT_H_SPACE, m_nXSpace);
	DDV_MinMaxInt(pDX, m_nXSpace, 1, 200);
	DDX_Text(pDX, IDC_EDIT_ROWS, m_nRows);
	DDV_MinMaxInt(pDX, m_nRows, 1, 100);
	DDX_Text(pDX, IDC_EDIT_V_SPACE, m_nYSpace);
	DDV_MinMaxInt(pDX, m_nYSpace, 1, 200);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_FO_FORM_COLOR, m_btnColor);
	DDX_ColorDropDown(pDX, IDC_FO_FORM_COLOR, m_crFG);
	DDX_Control(pDX, IDC_FO_PAGE_BACKGROUND, m_btnBackground);
	DDX_ColorDropDown(pDX, IDC_FO_PAGE_BACKGROUND, m_crBK);
}


BEGIN_MESSAGE_MAP(CHMIDupSetDlg, CDialog)
	//{{AFX_MSG_MAP(CHMIDupSetDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHMIDupSetDlg message handlers

BOOL CHMIDupSetDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_spinY.SetBase(10);
	m_spinY.SetRange(1,200);
	m_spinY.SetPos(m_nYSpace);
	
	m_spinRow.SetBase(10);
	m_spinRow.SetRange(1,100);
	m_spinRow.SetPos(m_nRows);

	m_spinCols.SetBase(10);
	m_spinCols.SetRange(1,100);
	m_spinCols.SetPos(m_nCols);
	
	m_spinX.SetBase(10);
	m_spinX.SetRange(1,200);
	m_spinX.SetPos(m_nXSpace);

	m_btnColor.GetDrawImpl().SetHeaderBarState(FOPDrawControlPanel::HeaderBarTwo);
	m_btnColor.GetDrawImpl().SetAutomaticColor(m_crFG);
	
	m_btnBackground.GetDrawImpl().SetHeaderBarState(FOPDrawControlPanel::HeaderBarTwo);
	m_btnBackground.GetDrawImpl().SetAutomaticColor(m_crBK);
	
	if(!m_bEnable)
	{
		m_btnColor.EnableWindow(FALSE);
		m_btnBackground.EnableWindow(FALSE);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHMIDupSetDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData();

	CReg reg;
	if (reg.Create (HKEY_CURRENT_USER, REG_EDITPAD_IDE, KEY_WRITE))
    {
		VERIFY (reg.SaveNumber (_T ("Dup rows"), (DWORD)m_nRows));
		VERIFY (reg.SaveNumber (_T ("Dup cols"), (DWORD)m_nCols));

		VERIFY (reg.SaveNumber (_T ("Dup x"), (DWORD)m_nXSpace));
		VERIFY (reg.SaveNumber (_T ("Dup y"), (DWORD)m_nYSpace));
    }
	reg.Close ();
	CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////
// CHMIScaleDupDlg dialog


CHMIScaleDupDlg::CHMIScaleDupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHMIScaleDupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHMIScaleDupDlg)
	m_nCols = 0;
	m_nXSpace = 20;
	m_nRows = 0;
	m_nYSpace = 20;
	//}}AFX_DATA_INIT
//	EnableVisualManagerStyle(TRUE, TRUE);
	DWORD nTempIndex = 0;
	DWORD nTempIndex1 = 0;
	DWORD nTempIndex2 = 0;
	DWORD nTempIndex3 = 0;
	CString strImage = _T("");
	CReg reg;
	if (reg.Open (HKEY_CURRENT_USER, REG_EDITPAD_IDE, KEY_READ))
    {
		reg.LoadNumber(_T ("Dup rows"), &nTempIndex);
		m_nRows = (int)nTempIndex;

		reg.LoadNumber(_T ("Dup cols"), &nTempIndex1);
		m_nCols = (int)nTempIndex1;

		reg.LoadNumber(_T ("Dup x"), &nTempIndex2);
		m_nXSpace = (int)nTempIndex2;

		reg.LoadNumber(_T ("Dup y"), &nTempIndex3);
		m_nYSpace = (int)nTempIndex3;
		
    }
	reg.Close ();
	m_crBK = RGB(255,255,255);
	m_crFG = RGB(255,255,255);
	m_bEnable = TRUE;
}


void CHMIScaleDupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHMIScaleDupDlg)
	DDX_Control(pDX, IDC_SPIN_V, m_spinY);
	DDX_Control(pDX, IDC_SPIN_ROWS, m_spinRow);
	DDX_Control(pDX, IDC_SPIN_H, m_spinX);
	DDX_Control(pDX, IDC_SPIN_COLS, m_spinCols);
	DDX_Text(pDX, IDC_EDIT_COLS, m_nCols);
	DDV_MinMaxInt(pDX, m_nCols, 1, 100);
	DDX_Text(pDX, IDC_EDIT_H_SPACE, m_nXSpace);
	DDV_MinMaxInt(pDX, m_nXSpace, 1, 200);
	DDX_Text(pDX, IDC_EDIT_ROWS, m_nRows);
	DDV_MinMaxInt(pDX, m_nRows, 1, 100);
	DDX_Text(pDX, IDC_EDIT_V_SPACE, m_nYSpace);
	DDV_MinMaxInt(pDX, m_nYSpace, 1, 200);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_FO_FORM_COLOR, m_btnColor);
	DDX_ColorDropDown(pDX, IDC_FO_FORM_COLOR, m_crFG);
	DDX_Control(pDX, IDC_FO_PAGE_BACKGROUND, m_btnBackground);
	DDX_ColorDropDown(pDX, IDC_FO_PAGE_BACKGROUND, m_crBK);
}


BEGIN_MESSAGE_MAP(CHMIScaleDupDlg, CDialog)
	//{{AFX_MSG_MAP(CHMIScaleDupDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHMIScaleDupDlg message handlers

BOOL CHMIScaleDupDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_spinY.SetBase(10);
	m_spinY.SetRange(1,200);
	m_spinY.SetPos(m_nYSpace);
	
	m_spinRow.SetBase(10);
	m_spinRow.SetRange(1,100);
	m_spinRow.SetPos(m_nRows);

	m_spinCols.SetBase(10);
	m_spinCols.SetRange(1,100);
	m_spinCols.SetPos(m_nCols);
	
	m_spinX.SetBase(10);
	m_spinX.SetRange(1,200);
	m_spinX.SetPos(m_nXSpace);

	m_btnColor.GetDrawImpl().SetHeaderBarState(FOPDrawControlPanel::HeaderBarTwo);
	m_btnColor.GetDrawImpl().SetAutomaticColor(m_crFG);
	
	m_btnBackground.GetDrawImpl().SetHeaderBarState(FOPDrawControlPanel::HeaderBarTwo);
	m_btnBackground.GetDrawImpl().SetAutomaticColor(m_crBK);
	
	if(!m_bEnable)
	{
		m_btnColor.EnableWindow(FALSE);
		m_btnBackground.EnableWindow(FALSE);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHMIScaleDupDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData();

	CReg reg;
	if (reg.Create (HKEY_CURRENT_USER, REG_EDITPAD_IDE, KEY_WRITE))
    {
		VERIFY (reg.SaveNumber (_T ("Dup rows"), (DWORD)m_nRows));
		VERIFY (reg.SaveNumber (_T ("Dup cols"), (DWORD)m_nCols));

		VERIFY (reg.SaveNumber (_T ("Dup x"), (DWORD)m_nXSpace));
		VERIFY (reg.SaveNumber (_T ("Dup y"), (DWORD)m_nYSpace));
    }
	reg.Close ();
	CDialog::OnOK();
}
